      integer*4 MAX_NUM_CMND
      integer*4 MAX_NUM_CMND_LINES
      integer*4 MAX_NUM_CMND_OPT

      integer*4 MAX_NUM_HISTORY

      integer*4 MAX_NUM_MACRO
      integer*4 MAX_NUM_MACRO_LINES

      integer*4 MAX_FILES
      integer*4 MAX_MTN_FRM
      integer*4 MAX_ELEC_FRM
      integer*4 MAX_EMG_FRM
      integer*4 MAX_JNT
      integer*4 MAX_SEG
      integer*4 MAX_MRK
      integer*4 MAX_PLT
      integer*4 MAX_EMG
      integer*4 MAX_MSL

      integer*4 MAX_GRAPH
      integer*4 MAX_PLOT
      integer*4 MAX_PLOT_SIZE

      integer*4 MAX_CHART

      integer*4 MAX_3DVU

      integer*4 TR3_FILE
      integer*4 TRU_FILE
      integer*4 C3D_FILE
      integer*4 ANZ_FILE
      integer*4 FPD_FILE
      integer*4 GL1_FILE
      integer*4 GL2_FILE

      integer*4 MPN_DATA
      integer*4 MVL_DATA
      integer*4 MAC_DATA

      integer*4 SPR_DATA
      integer*4 SPN_DATA
      integer*4 SMP_DATA
      integer*4 SMD_DATA
      integer*4 SVL_DATA
      integer*4 SAC_DATA
      integer*4 SKE_DATA
      integer*4 SPE_DATA
      integer*4 STE_DATA
      integer*4 SIS_DATA
      integer*4 SFS_DATA
      integer*4 SMM_DATA
      integer*4 SAN_DATA
                           
      integer*4 BKE_DATA
      integer*4 BPE_DATA
      integer*4 BTE_DATA
      integer*4 BCM_DATA
      integer*4 BCV_DATA
      integer*4 BMM_DATA

      integer*4 JAN_DATA
      integer*4 JVL_DATA
      integer*4 JAC_DATA
      integer*4 JLD_DATA
      integer*4 JLL_DATA
      integer*4 JWR_DATA
      integer*4 JPW_DATA
      integer*4 JPL_DATA
      integer*4 JIS_DATA
      integer*4 JFS_DATA
      integer*4 JTR_DATA
      integer*4 JSA_DATA
      integer*4 JMA_DATA
      integer*4 JWA_DATA

      integer*4 FPL_DATA
      integer*4 FFT_DATA
      integer*4 FCB_DATA
      integer*4 FCP_DATA
      integer*4 FCF_DATA
      integer*4 FCC_DATA
      integer*4 FWP_DATA
      integer*4 FWF_DATA
      integer*4 FWC_DATA
      integer*4 FP1_DATA
      integer*4 FF1_DATA
      integer*4 FC1_DATA
      integer*4 FP2_DATA
      integer*4 FF2_DATA
      integer*4 FC2_DATA
      integer*4 FSI_DATA
      integer*4 PMA_DATA
      integer*4 PWA_DATA
      integer*4 FCV_DATA

      integer*4 RFT_DATA
      integer*4 RCB_DATA
      integer*4 RCF_DATA
      integer*4 RCC_DATA
      integer*4 RSI_DATA

      integer*4 EMG_DATA
      
      integer*4 MLN_DATA
      integer*4 MVE_DATA
      integer*4 MOR_DATA
      integer*4 MIN_DATA
      integer*4 MLA_DATA
      integer*4 MEM_DATA

      integer*4 TIM_DATA
      integer*4 FRA_DATA
      integer*4 PCT_DATA
                            
      integer*4 AVG_DATA
                            
      integer*4 MTN_DT
      integer*4 ELC_DT
      integer*4 FRC_DT
      integer*4 EMG_DT
      integer*4 MSL_DT
      integer*4 MRK_DT
      integer*4 SEG_DT
      integer*4 JNT_DT
      integer*4 REC_DT
      integer*4 TIM_DT

      integer*4 GCS_CST
      integer*4 LCS_CST
      integer*4 PRO_CST
      integer*4 DIS_CST
      integer*4 JCS_CST
      integer*4 EUL_CST
      integer*4 PLV_CST
      integer*4 TRK_CST


c
c     Command line parser limits
c
      parameter(MAX_NUM_CMND= 50)
      parameter(MAX_NUM_CMND_LINES= 5)
      parameter(MAX_NUM_CMND_OPT= 5)
c
c     Command History storage limits
c
      parameter(MAX_NUM_HISTORY= 4)
c
c     Macro limits
c
      parameter(MAX_NUM_MACRO= 10)
      parameter(MAX_NUM_MACRO_LINES= 50)
c
c     Data set size limits
c
      parameter(MAX_FILES= 3)
      parameter(MAX_MTN_FRM= 250)
      parameter(MAX_ELEC_FRM= 2500)
      parameter(MAX_EMG_FRM= 2500)
      parameter(MAX_JNT= 13)
      parameter(MAX_SEG= 13)
      parameter(MAX_MRK= 40)
      parameter(MAX_PLT= 4)
      parameter(MAX_EMG= 12)
      parameter(MAX_MSL= 1)
c
c     Graphing limits
c
      parameter(MAX_GRAPH= 15)
      parameter(MAX_PLOT= 8)
      parameter(MAX_PLOT_SIZE= 2500)
c
c     Strip Chart Limits
c
      parameter(MAX_CHART= 15)
c
c     3D viewing limits
c                              
      parameter(MAX_3DVU= 4)
c
c     File types
c
      parameter(TR3_FILE= 1)
      parameter(TRU_FILE= 2)
      parameter(C3D_FILE= 3)
      parameter(ANZ_FILE= 4)
      parameter(FPD_FILE= 5)
      parameter(GL1_FILE= 6)
      parameter(GL2_FILE= 7)
c
c     Variable Types- see tel_cmnd.txt for explaination of variable acronyms
c
      parameter(MPN_DATA= 1)
      parameter(MVL_DATA= 2)
      parameter(MAC_DATA= 3)

      parameter(SPR_DATA= 4)
      parameter(SPN_DATA= 5)
      parameter(SMP_DATA= 6)
      parameter(SMD_DATA= 7)
      parameter(SVL_DATA= 8)
      parameter(SAC_DATA= 9)
      parameter(SKE_DATA= 10)
      parameter(SPE_DATA= 11)
      parameter(STE_DATA= 12)
      parameter(SIS_DATA= 13)
      parameter(SFS_DATA= 14)
      parameter(SMM_DATA= 15)
      parameter(SAN_DATA= 16)
                           
      parameter(BKE_DATA= 17)
      parameter(BPE_DATA= 18)
      parameter(BTE_DATA= 19)
      parameter(BCM_DATA= 20)
      parameter(BCV_DATA= 21)
      parameter(BMM_DATA= 22)

      parameter(JAN_DATA= 23)
      parameter(JVL_DATA= 24)
      parameter(JAC_DATA= 25)
      parameter(JLD_DATA= 26)
      parameter(JLL_DATA= 27)
      parameter(JWR_DATA= 28)
      parameter(JPW_DATA= 29)
      parameter(JPL_DATA= 30)
      parameter(JIS_DATA= 31)
      parameter(JFS_DATA= 32)
      parameter(JTR_DATA= 33)
      parameter(JSA_DATA= 34)
      parameter(JMA_DATA= 35)
      parameter(JWA_DATA= 36)

      parameter(FPL_DATA= 37)
      parameter(FFT_DATA= 38)
      parameter(FCB_DATA= 39)
      parameter(FCP_DATA= 40)
      parameter(FCF_DATA= 41)
      parameter(FCC_DATA= 42)
      parameter(FWP_DATA= 43)
      parameter(FWF_DATA= 44)
      parameter(FWC_DATA= 45)
      parameter(FP1_DATA= 46)
      parameter(FF1_DATA= 47)
      parameter(FC1_DATA= 48)
      parameter(FP2_DATA= 49)
      parameter(FF2_DATA= 50)
      parameter(FC2_DATA= 51)
      parameter(FSI_DATA= 52)
      parameter(PMA_DATA= 53)
      parameter(PWA_DATA= 54)
      parameter(FCV_DATA= 55)

      parameter(RFT_DATA= 56)
      parameter(RCB_DATA= 57)
      parameter(RCF_DATA= 58)
      parameter(RCC_DATA= 59)
      parameter(RSI_DATA= 60)

      parameter(EMG_DATA= 61)
      
      parameter(MLN_DATA= 62)
      parameter(MVE_DATA= 63)
      parameter(MOR_DATA= 64)
      parameter(MIN_DATA= 65)
      parameter(MLA_DATA= 66)
      parameter(MEM_DATA= 67)

      parameter(TIM_DATA= 68)
      parameter(FRA_DATA= 69)
      parameter(PCT_DATA= 70)
                            
      parameter(AVG_DATA= 71)
                            
c                        
c     Data Type Classes
c
      parameter(MTN_DT= 1)
      parameter(ELC_DT= 2)
      parameter(FRC_DT= 3)
      parameter(EMG_DT= 4)
      parameter(MSL_DT= 5)
      parameter(MRK_DT= 6)
      parameter(SEG_DT= 7)
      parameter(JNT_DT= 8)
      parameter(REC_DT= 9)
      parameter(TIM_DT= 10)
c
c     Coordinate System Types
c
      parameter(GCS_CST= 1)
      parameter(LCS_CST= 2)
      parameter(PRO_CST= 3)
      parameter(DIS_CST= 4)
      parameter(JCS_CST= 5)
      parameter(EUL_CST= 6)
      parameter(PLV_CST= 7)  ! special case for Pitch Moment/Wrench Arm
      parameter(TRK_CST= 8)  ! special case for Pitch Moment/Wrench Arm

